Maple 9 lässt sich nicht installieren

Dieses Thema im Forum "Anwendungen" wurde erstellt von tuxlover, 11.06.2007.

  1. #1 tuxlover, 11.06.2007
    Zuletzt bearbeitet: 17.01.2008
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    Maple 9 lässt sich nicht installieren [gelöst!]

    hallo ich hätte da gern mal ein problem,

    ich habe schon länger maple 9 für linux und dieses auch immer problemlos bis zur version opensuse 10.0 auf meinem rechener installieren können. nun wollte ich das ganze auch für opensuse 10.2 installieren. da sagt er mir dann dass libc.so.6 nicht da sei und er einige dateien die zum paket glibc gehören nicht finden kann bzw. keinen zugriff darauf hat.

    was natürlich nicht sein kann, da die glibc ja immer installiert ist. ich glaube auch nicht, dass es damit zusammenhängt, da ich auf suse 10.0 die sache problemlos installieren konnte und nach einem update auf 10.2 alles immer noch wunderbar geklappt hat. nur wenn ich opensuse 10.2 neuinstallieren will und dann maple einspielen will, funzt es net.
    weiß jemand warum.

    bitte keine antworten, von wegen du brauchst einen patch. den braucht man erst nach der hauptinstallation und das seit suse 9.0. also daran liegt es nicht.

    gruß tuxlover
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 gropiuskalle, 11.06.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Hast Du glibc-devel installiert?
     
  4. #3 tuxlover, 11.06.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    ja alles installiert.
     
  5. #4 tuxlover, 25.06.2007
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    hallo ich habe mal hier die fehlermeldung die ich erhalte wenn ich versuche das zu installieren. ich hoffe damit kann mir jemand weiterghelfen:

    Code:
    # sh install
    Preparing to install...
    Extracting the JRE from the installer archive...
    Unpacking the JRE...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...
    awk: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
    dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    /bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
    basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    
    Launching installer...
    
    grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    /tmp/install.dir.6221/Linux/resource/jre/bin/java: error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory
    danke gruß tuxlover
     
  6. #5 tuxlover, 17.01.2008
    Zuletzt bearbeitet: 17.01.2008
    tuxlover

    tuxlover Der den Tux knuddelt

    Dabei seit:
    26.10.2005
    Beiträge:
    2.106
    Zustimmungen:
    0
    Ort:
    berlin
    So nach einer durchzechten Nacht und vielen herumlesen und herumprobieren hab ich es nun doch geschafft, Maple 9.5.1 zu installieren. Da die Sache nicht ganz so trivial war, möchte ich denjenigen die das gleiche Problem haben, hier eine kleine bastelanleitung geben, wie es dennoch geht.

    Die einfachst Möglichkeit, die funktionieren sollte, aber nicht hat, ist einen Shared Ordner anzulegen, den man mit Virtualbox teilt und von einer virtuellen Maschine mittels Debian in den Shared Ordner installiert und diesen dan z.B. nach /usr/share/maple verschiebt. Hier hat dass mounten des Shared Ordner auf dem Gastbetriebssytem nicht funktioniert. Vielleicht hat ja jemand eine Lösung dafür?? :)

    Das gleiche prozedere lässt sich natürlich in ähnlicher weise mittels einer live-cd bewerkstelligen, die noch java 1.4 (!) benutzt.

    Nun gut. Für alle diejenigen die keine live-cd zur hand haben, hier die etwas kompliziertere methode.

    1. Ein Cd-Image der Maple cd erstellen, dies dann z.b. mit acetoneiso2 mounten und den inhalt darin auf die lokale festplatte kopieren. z.B nach /root/install/Maple

    2. In den Ordner /root/install/Maple/Linux/VM wechseln und hier folgendes machen:

    Code:
    cp LinuxInstaller.bin LinuxInstaller.bin.bak
    
    cat Linux*.bak | sed "s/export LD_ASSUME_KERNEL/#xport LD_ASSUME_KERNEL/" > LinuxInstaller.bin
    
    export LIBXCB_ALLOW_SLOPPY_LOCK=1
    
    So damit lässt sich schonmal der installer starten.
    TIPP: Das gleiche funktioniert auch für Maple 10 oder andere Installer Dateien für Maple. z.B. Update bins.

    So damit maple jetzt auch schön starten kann, sollte man sich folgendes kleines script z.B. in /usr/bin erstellen

    Code:
    #!/bin/sh
    
    #xmaple.sh
    #script to start xmaple
    
    export LIBXCB_ALLOW_SLOPPY_LOCK=1
    /usr/share/maple9.5/bin/xmaple
    
    exit 0
    
    viel erfolg

    gruß tuxlover
     
Thema: Maple 9 lässt sich nicht installieren
Besucher kamen mit folgenden Suchen
  1. maple lässt sich nicht installieren

Die Seite wird geladen...

Maple 9 lässt sich nicht installieren - Ähnliche Themen

  1. Druckprobleme mit Maple11

    Druckprobleme mit Maple11: Hey! Hab ein Problem mit Maple11. Ich habe Ubuntu 7.04, Feisty Fawn, auf meinem Rechner installiert. Nun habe ich für die Uni ein paar Sachen...
  2. Installations Problem mit Maple 8 unter Fedora Core 2

    Installations Problem mit Maple 8 unter Fedora Core 2: Hi ihr Unixer ;) habe ein Problem mit Maple 8 unter Fedora Core 2, es laesst sich gar nicht installieren, denn ich bekomme immer diese...
  3. SuSE 9.1 und Maple 9 / Maple 7 / MuPAD

    SuSE 9.1 und Maple 9 / Maple 7 / MuPAD: Hi, hat hier schon jemand Maple 9 unter SuSE 9.1 zum Laufen gebracht? Ich bekomme die Fehlermeldung Maple was unable to start. Error...
  4. open source alternative zu maple und co?

    open source alternative zu maple und co?: Gibt es solche Alternativen ? Suche schon 'ne Weile, aber bisher ohne Ergebnis... ?(
  5. [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen

    [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen: Hallo, ich hoffe ihr könnt mir helfen. Ich entwerfe im Moment ein Skript, welches den Callmonitor (Telnet) auf meiner FritzBox abfragt und wenn...